summaryrefslogtreecommitdiff
path: root/TAO/tests/ORB_init
diff options
context:
space:
mode:
Diffstat (limited to 'TAO/tests/ORB_init')
-rw-r--r--TAO/tests/ORB_init/Portspan/.gitignore6
-rw-r--r--TAO/tests/ORB_init/Portspan/ORB_Init_Portspan.mpc4
-rw-r--r--TAO/tests/ORB_init/Portspan/README16
-rwxr-xr-xTAO/tests/ORB_init/Portspan/run_test.pl71
-rw-r--r--TAO/tests/ORB_init/Portspan/server.cpp33
-rw-r--r--TAO/tests/ORB_init/Portspan/simple.idl3
-rw-r--r--TAO/tests/ORB_init/Portspan/simpleI.cpp35
-rw-r--r--TAO/tests/ORB_init/Portspan/simpleI.h44
-rw-r--r--TAO/tests/ORB_init/Portspan/svc.conf5
9 files changed, 0 insertions, 217 deletions
diff --git a/TAO/tests/ORB_init/Portspan/.gitignore b/TAO/tests/ORB_init/Portspan/.gitignore
deleted file mode 100644
index 2e326e8073b..00000000000
--- a/TAO/tests/ORB_init/Portspan/.gitignore
+++ /dev/null
@@ -1,6 +0,0 @@
-/server
-/simpleC.cpp
-/simpleC.h
-/simpleC.inl
-/simpleS.cpp
-/simpleS.h
diff --git a/TAO/tests/ORB_init/Portspan/ORB_Init_Portspan.mpc b/TAO/tests/ORB_init/Portspan/ORB_Init_Portspan.mpc
deleted file mode 100644
index 814a5e5ea44..00000000000
--- a/TAO/tests/ORB_init/Portspan/ORB_Init_Portspan.mpc
+++ /dev/null
@@ -1,4 +0,0 @@
-// -*- MPC -*-
-project(*Server): taoserver {
-}
-
diff --git a/TAO/tests/ORB_init/Portspan/README b/TAO/tests/ORB_init/Portspan/README
deleted file mode 100644
index 8a01481a2d4..00000000000
--- a/TAO/tests/ORB_init/Portspan/README
+++ /dev/null
@@ -1,16 +0,0 @@
-
-
-portspan Test
--------------
-
-The portspan test verifies that the portspan option to the ORB_init() call
-behaves correctly. This option allows you to restrict the port that a
-server-side ORB will use to listen for IIOP requests, from a given range
-of port numbers, starting at a given initial port.
-
-The test works by starting a simple ORB on an endpoint with a portspan of 2.
-server -ORBEndpoint iiop://:5555/portspan=2
-The test script does this three times and reports an error if the first two
-don't succeed, or if the third call doesn't fail.
-
-
diff --git a/TAO/tests/ORB_init/Portspan/run_test.pl b/TAO/tests/ORB_init/Portspan/run_test.pl
deleted file mode 100755
index 0544c5cba09..00000000000
--- a/TAO/tests/ORB_init/Portspan/run_test.pl
+++ /dev/null
@@ -1,71 +0,0 @@
-eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
- & eval 'exec perl -S $0 $argv:q'
- if 0;
-
-# -*- perl -*-
-
-use lib "$ENV{ACE_ROOT}/bin";
-use PerlACE::TestTarget;
-
-$status = 0;
-
-my $server = PerlACE::TestTarget::create_target (1) || die "Create target 1 failed\n";
-
-foreach my $protocol ("iiop", "diop") {
- $port = $server->RandomPort ();
- $endpoint = "$protocol://:$port/portspan=2";
- print STDOUT "Creating three $protocol servers with endpoint $endpoint...\n";
-
- $SV1 = $server->CreateProcess ("server", "-ORBEndpoint $endpoint");
- $SV2 = $server->CreateProcess ("server", "-ORBEndpoint $endpoint");
- $SV3 = $server->CreateProcess ("server", "-ORBEndpoint $endpoint");
-
- print STDOUT "Starting server 1\n";
- $server_status = $SV1->Spawn ();
- if ($server_status != 0) {
- print STDERR "ERROR: server failed to start: $server_status\n";
- exit 1;
- }
- $server_status = $SV1->Wait (1);
- if ($server_status != -1) {
- print STDERR "ERROR: server exited prematurely: $server_status\n";
- exit 1;
- }
- print STDOUT "Started server 1\n";
-
- print STDOUT "Starting server 2\n";
- $server_status = $SV2->Spawn ();
- if ($server_status != 0) {
- print STDERR "ERROR: server failed to start: $server_status\n";
- $SV1->Kill ();
- exit 1;
- }
- $server_status = $SV2->Wait (1);
- if ($server_status != -1) {
- print STDERR "ERROR: server exited prematurely: $server_status\n";
- exit 1;
- }
- print STDOUT "Started server 2\n";
-
- print STDOUT "Starting server 3\n";
- $server_status = $SV3->Spawn ();
- if ($server_status == 0) {
- $server_status = $SV3->Wait (1);
- if ($server_status == -1) {
- print STDERR "ERROR: Last server didn't fail, still running!\n";
- $SV1->Kill ();
- $SV2->Kill ();
- $SV3->Kill ();
- exit 1;
- }
- }
- print STDOUT "Success: server 3 failed to start, stopping...\n";
-
- $SV1->Kill();
- $SV2->Kill();
- $SV3->Kill();
-
- print STDOUT "Portspan $protocol test completed successfully.\n\n";
-}
-
-exit $status;
diff --git a/TAO/tests/ORB_init/Portspan/server.cpp b/TAO/tests/ORB_init/Portspan/server.cpp
deleted file mode 100644
index e5e58917cdd..00000000000
--- a/TAO/tests/ORB_init/Portspan/server.cpp
+++ /dev/null
@@ -1,33 +0,0 @@
-#include "simpleI.h"
-
-int
-ACE_TMAIN(int argc, ACE_TCHAR *argv[])
-{
- try
- {
-
- CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);
-
- CORBA::Object_var obj = orb->resolve_initial_references("RootPOA");
-
- PortableServer::POA_var poa = PortableServer::POA::_narrow(obj.in());
-
- PortableServer::POAManager_var man = poa->the_POAManager();
-
- man->activate();
-
- simple_i simp;
-
- PortableServer::ObjectId_var objId = poa->activate_object(&simp);
-
- orb->run();
- }
-
- catch (const CORBA::Exception& ex)
- {
- ex._tao_print_exception ("Exception in main():");
- return 1;
- }
-
- return 0;
-}
diff --git a/TAO/tests/ORB_init/Portspan/simple.idl b/TAO/tests/ORB_init/Portspan/simple.idl
deleted file mode 100644
index dca7ddc8856..00000000000
--- a/TAO/tests/ORB_init/Portspan/simple.idl
+++ /dev/null
@@ -1,3 +0,0 @@
-interface simple {
- void test();
-};
diff --git a/TAO/tests/ORB_init/Portspan/simpleI.cpp b/TAO/tests/ORB_init/Portspan/simpleI.cpp
deleted file mode 100644
index ce6324fb1e6..00000000000
--- a/TAO/tests/ORB_init/Portspan/simpleI.cpp
+++ /dev/null
@@ -1,35 +0,0 @@
-// -*- C++ -*-
-// **** Code generated by the The ACE ORB (TAO) IDL Compiler ****
-// TAO and the TAO IDL Compiler have been developed by:
-// Center for Distributed Object Computing
-// Washington University
-// St. Louis, MO
-// USA
-// http://www.cs.wustl.edu/~schmidt/doc-center.html
-// and
-// Distributed Object Computing Laboratory
-// University of California at Irvine
-// Irvine, CA
-// USA
-// http://doc.ece.uci.edu/
-//
-// Information about TAO is available at:
-// http://www.dre.vanderbilt.edu/~schmidt/TAO.html
-
-#include "simpleI.h"
-
-// Implementation skeleton constructor
-simple_i::simple_i (void)
- {
- }
-
-// Implementation skeleton destructor
-simple_i::~simple_i (void)
- {
- }
-
-void simple_i::test (
- )
- {
- //Add your implementation here
- }
diff --git a/TAO/tests/ORB_init/Portspan/simpleI.h b/TAO/tests/ORB_init/Portspan/simpleI.h
deleted file mode 100644
index f1585e382e5..00000000000
--- a/TAO/tests/ORB_init/Portspan/simpleI.h
+++ /dev/null
@@ -1,44 +0,0 @@
-// -*- C++ -*-
-// **** Code generated by the The ACE ORB (TAO) IDL Compiler ****
-// TAO and the TAO IDL Compiler have been developed by:
-// Center for Distributed Object Computing
-// Washington University
-// St. Louis, MO
-// USA
-// http://www.cs.wustl.edu/~schmidt/doc-center.html
-// and
-// Distributed Object Computing Laboratory
-// University of California at Irvine
-// Irvine, CA
-// USA
-// http://doc.ece.uci.edu/
-//
-// Information about TAO is available at:
-// http://www.dre.vanderbilt.edu/~schmidt/TAO.html
-
-#ifndef SIMPLEI_H_
-#define SIMPLEI_H_
-
-#include "simpleS.h"
-
-#if !defined (ACE_LACKS_PRAGMA_ONCE)
-#pragma once
-#endif /* ACE_LACKS_PRAGMA_ONCE */
-
-//Class simple_i
-class simple_i : public virtual POA_simple
-{
-public:
- //Constructor
- simple_i (void);
-
- //Destructor
- virtual ~simple_i (void);
-
-virtual void test (
- );
-
-};
-
-
-#endif /* SIMPLEI_H_ */
diff --git a/TAO/tests/ORB_init/Portspan/svc.conf b/TAO/tests/ORB_init/Portspan/svc.conf
deleted file mode 100644
index a91d2a12663..00000000000
--- a/TAO/tests/ORB_init/Portspan/svc.conf
+++ /dev/null
@@ -1,5 +0,0 @@
-dynamic DIOP_Factory Service_Object*
- TAO_Strategies:_make_TAO_DIOP_Protocol_Factory () ""
-
-dynamic Advanced_Resource_Factory Service_Object*
- TAO_Strategies:_make_TAO_Advanced_Resource_Factory () "-ORBProtocolFactory IIOP_Factory -ORBProtocolFactory DIOP_Factory"